<!DOCTYPE html>
<html lang="en" style="background-color: black;">
    <head>
        <title>LucKey Hands</title>
        <meta charset="utf-8">
        <link rel="shortcut icon" href="https://luckeyproductions.nl/images/icon.svg">
        <style>

            @font-face {
                font-family: WhiteRabbit;
                src: url(WhiteRabbitReloaded.ttf);
            }
            p {
                font-family: WhiteRabbit;
                color: green;
                font-size: 1.5em;
                margin-bottom: 8vmin;
            }

            html, body {
                width: 100%;
                height: 100%;
            }
            body {
                background-image: url(https://luckeyproductions.nl/images/sierpinski.png);
                background-position: top center;
                overflow: hidden;
                text-align: center;
                margin: 0;
                padding-top: 5vmin;
            }
            div {
                display: inline-block;
                background-repeat: no-repeat;
            }
            div:active:not(#source) {
                transform: translate(0, 1vmin);
            }
            .hand {
                width: 192px;
                height: 192px;
                font-size: 0;
                color: transparent;
                cursor: pointer;
                background-size: auto;
            }

            #thumb  { background-image: url(thumb.png);  }
            #peace  { background-image: url(peace.png);  }
            #vulcan { background-image: url(vulcan.png); }
            #ily    { background-image: url(ily.png); }

            #source {
                position: fixed;
                bottom: 2vmin;
                right: 3vmin;
                width: 42%;
                text-align: right;
            }
            .source {
                width: 17vmin;
                height: 17vmin;
                margin-top: 23vh;
                background-position: center;
                background-size: contain;
            }
            #source >  a:not(:first-child) {
                margin-left: 5vmin;
            }
            #blend {
                background-image: url(https://upload.wikimedia.org/wikipedia/commons/0/0c/Blender_logo_no_text.svg);
            }
            #gitlab {
                background-image: url(https://luckeyproductions.nl/images/gitlab.svg);
            }
        </style>
    </head>
    <body>
        <p>Click to copy Markdown</p>
        <div onclick="copy(this)" class="hand" id="thumb"  title="Thumb" >![](https://hands.luckeyproductions.nl/thumb.png)</div>
        <div onclick="copy(this)" class="hand" id="peace"  title="Peace" >![](https://hands.luckeyproductions.nl/peace.png)</div>
        <div onclick="copy(this)" class="hand" id="vulcan" title="Vulcan">![](https://hands.luckeyproductions.nl/vulcan.png)</div>
        <div onclick="copy(this)" class="hand" id="ily"    title="ILY">![](https://hands.luckeyproductions.nl/ily.png)</div>
        <br>
        <div id="source">
            <a href="https://gitlab.com/LucKeyProductions/hantik/-/raw/master/blends/hand.blend"><div class="source" id="blend"></div></a>
            <a href="https://gitlab.com/LucKeyProductions/hantik"><div class="source" id="gitlab"></div></a>
        </div>
        <script>
            function copy(elem) {

                let r = document.createRange();
                r.selectNodeContents(elem);

                let sel = window.getSelection();
                sel.removeAllRanges();
                sel.addRange(r);

                document.execCommand('copy');
                sel.removeAllRanges();
            }
        </script>
    </body>
</html>
